
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_cargocage")]
    public class BaseCargocage
    {

        [Key]
        [Column("id")]
        public Guid id { get; set; }

        /// <summary>
        /// 货笼编码
        /// </summary>
        [Column("cargocage_no")]
        public string cargocageNo { get; set; }

        /// <summary>
        /// 货笼名称
        /// </summary>
        [Column("cargocage_name")]
        public string cargocageName { get; set; }

        /// <summary>
        /// RFID编码
        /// </summary>
        [Column("cargocage_rfid_no")]
        public string cargocageRfidNo { get; set; }

        /// <summary>
        /// 负载成品码
        /// </summary>
        [Column("cargocage_materialno")]
        public string cargocageMaterialno { get; set; }

        /// <summary>
        /// 颜色
        /// </summary>
        [Column("cargocage_color")]
        public string cargocageColor { get; set; }

        /// <summary>
        /// 当前状态
        /// </summary>
        [Column("cargocage_status")]
        public int? cargocageStatus { get; set; }

        /// <summary>
        /// 操作时间
        /// </summary>
        [Column("cargocage_optdate")]
        public DateTime? cargocageOptdate { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }
    }
}

